Bug 617056 - Review Request: gnupg - A GNU utility for secure communication and data storage (1.4.10)
Review Request: gnupg - A GNU utility for secure communication and data stora...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 574406 601986
  Show dependency treegraph
 
Reported: 2010-07-22 01:29 EDT by Brian Lane
Modified: 2010-10-08 17:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 17:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Lane 2010-07-22 01:29:30 EDT
Spec URL: http://bcl.fedorapeople.org/gnupg/gnupg.spec
SRPM URL: http://bcl.fedorapeople.org/gnupg/gnupg-1.4.10-2.fc13.src.rpm

gnupg was deprecated after F-12. gnupg2 is not a drop in replacement, and upstream is still supporting the 1.x series. They are designed to be installed in parallel and there are a number of users who have been disrupted by this change.

I would like to revive gnupg 1.x series for F-13 and devel branches.

Some coordination with gnupg2 needs to be done as well:
 * gnupg2 needs to not obsolete the v1.x package
 * gnupg2 needs to remove its symlinks for gpg, etc.

I have re-built the src.rpm and bumped the release number of the f12 package for f13. You can see them here:

I get the following conflicts when trying to install next to gnupg2:

file /usr/bin/gpg-zip from install of gnupg-1.4.10-2.fc13.x86_64 conflicts with file from package gnupg2-2.0.14-2.fc13.x86_64

file /usr/bin/gpgsplit from install of gnupg-1.4.10-2.fc13.x86_64 conflicts with file from package gnupg2-2.0.14-2.fc13.x86_64

file /usr/share/man/man1/gpg-zip.1.gz from install of gnupg-1.4.10-2.fc13.x86_64 conflicts with file from package gnupg2-2.0.14-2.fc13.x86_64

file /usr/share/man/man1/gpg.1.gz from install of gnupg-1.4.10-2.fc13.x86_64 conflicts with file from package gnupg2-2.0.14-2.fc13.x86_64

file /usr/share/man/man1/gpgv.1.gz from install of gnupg-1.4.10-2.fc13.x86_64 conflicts with file from package gnupg2-2.0.14-2.fc13.x86_64
Comment 1 Matthias Runge 2010-08-04 07:03:29 EDT
Brian,

did you talk to rdieter, yet? He could/should change gnupg2.

https://admin.fedoraproject.org/pkgdb/acls/name/gnupg2
Comment 2 Tomas Mraz 2010-08-09 17:13:24 EDT
I'll change gnupg2 when the gnupg-1 is reviewed and accepted.
Comment 3 Matthias Runge 2010-08-11 07:01:54 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format
%{name}.spec.
[x]  Package meets the Packaging Guidelines.
[x]  Package successfully compiles and builds into binary rpms on at least one
supported architecture.

Tested on:
[x]  Rpmlint output:
[mrunge@mrungexp SPECS]$ rpmlint ../RPMS/i686/gnupg-*
../SRPMS/gnupg-1.4.10-2.fc13.src.rpm 
gnupg.i686: W: no-manual-page-for-binary gpgsplit
gnupg.i686: W: no-manual-page-for-binary lspgpot
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

[?]  Package is not relocatable.
[x]  Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
[x]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided
in the spec URL.
MD5SUM this package    : dcf7ed712997888d616e029637bfc303
MD5SUM upstream package: dcf7ed712997888d616e029637bfc303  
[x]  Package is not known to require ExcludeArch
[x]  All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
[x]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[-]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
[!]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI
application.
[x]  Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
[x]  Latest version is packaged.
[x]  Package does not include license text files separate from upstream.
[-]  Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
[x]  Reviewer should test that the package builds in mock.
Tested on: i386-rawhide (currently something between F14 and F15)
[x]  Package should compile and build into binary rpms on all supported
architectures.

Tested on: i386, koji
http://koji.fedoraproject.org/koji/taskinfo?taskID=2393038
[?]  Package functions as described.
[x]  Scriptlets must be sane, if used.
[-]  The placement of pkgconfig(.pc) files are correct.
[x]  File based requires are sane.


=== Issues ===
1. macros should be used consistently: $RPM_BUILD_ROOT and %{_infodir}. You
should rename $RPM_BUILD_ROOT to %{buildroot}
2. Testing is some difficult as long as gnupg2 is named the same, includes
binaries named as in gnupg1. Is there a test case?

=== Final Notes ===
1. I would prefer explicitly including files in %files-section, no wildcards,
but this is a minor.
Comment 4 Brian Lane 2010-08-12 01:00:32 EDT
Thanks for the review. I have updated the spec and rpm file with the above changes. As noted above, tmraz has agreed to change gnupg2 once this review passes.
Comment 5 Matthias Runge 2010-08-12 02:42:02 EDT
OK, 

package APPROVED.
Comment 6 Brian Lane 2010-08-12 11:28:47 EDT
Package Change Request
======================
Package Name: gnupg
New Branches: f13 f14 master
Owners: bcl
Comment 7 Jason Tibbitts 2010-08-12 11:46:23 EDT
Git done (by process-git-requests).
Comment 8 Iavael 2010-08-18 08:22:15 EDT
F-13 with stable updates loses /usr/bin/gpg in latest gpg2 package, gpg package from update-testing has conflict files with gpg2, so it doesn't install and programs like kgpg and enigmail addon for thunderbird that require /usr/bin/gpg refuse to work.
Comment 9 Tomas Mraz 2010-08-18 08:39:34 EDT
(In reply to comment #8)
> F-13 with stable updates loses /usr/bin/gpg in latest gpg2 package, gpg package
> from update-testing has conflict files with gpg2, so it doesn't install and
> programs like kgpg and enigmail addon for thunderbird that require /usr/bin/gpg
> refuse to work.

That's simply not true - I see only this http://download.fedora.redhat.com/pub/fedora/linux/updates/13/x86_64/gnupg2-2.0.14-4.fc13.x86_64.rpm gnupg2 package in the stable updates for F-13 which still has the compat /usr/bin/gpg symlink. The https://admin.fedoraproject.org/updates/gnupg2-2.0.14-6.fc13,gnupg-1.4.10-2.fc13 update still waits for push to testing.
Comment 10 Iavael 2010-08-18 09:16:52 EDT
(In reply to comment #9)

Yeah, you a right. I have gnupg2-2.0.14-5.fc13 from updates-testing. Sorry for mistake.
Comment 11 Peter Lemenkov 2010-10-07 07:38:46 EDT
Can we close this ticket?
Comment 12 Matthias Runge 2010-10-08 15:45:46 EDT
I think so. Brian?
Comment 13 Brian Lane 2010-10-08 17:57:05 EDT
yep.

Note You need to log in before you can comment on or make changes to this bug.